<script setup lang="ts"></script>

<template>
  <v-col cols="4">
    <v-dialog max-width="500">
      <template v-slot:activator="{ props: activatorProps }">
        <v-btn v-bind="activatorProps" color="#FFD180" text="Profile" variant="flat"
          ><v-icon>mdi-book</v-icon>Order History</v-btn
        >
      </template>

      <template v-slot:default="{ isActive }">
        <v-card class="dialog-card">
          <v-card-title class="dialog-title1">
            <span class="headline"><v-icon>mdi-book</v-icon>Recent Order History</span>
          </v-card-title>

          <v-card-text class="dialog-content">
            <!-- Mock DATA -->
            <h3><v-icon>mdi-account</v-icon> ชื่อ: John Doe</h3>
            <h3><v-icon>mdi-calendar-month</v-icon> วันที่สั่งซื้อล่าสุด: 2024-03-31</h3>
            <h3><v-icon>mdi-basket</v-icon> รายการสินค้า:</h3>
            <ul>
              <li>Americano x2</li>
              <li>Latte x1</li>
            </ul>
            <h3><v-icon>mdi-star-four-points-circle</v-icon>แต้มสะสม: 100 point</h3>
            <ul>
              <li>ใช้แต้มเพื่อแลกส่วนลด: 0 point/baht</li>
            </ul>
          </v-card-text>

          <v-card-actions class="dialog-actions">
            <v-spacer></v-spacer>
            <v-btn text="Close" @click="isActive.value = false"></v-btn>
          </v-card-actions>
        </v-card>
      </template>
    </v-dialog>
  </v-col>
</template>

<style>
.dialog-card {
  border-radius: 15px; /* กำหนดขอบเรียบ */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* เพิ่มเงาเรียบ */
}

.dialog-title1 {
  background-color: #77625d; /* สีพื้นหลังของหัวข้อ */
  color: #fff; /* สีของตัวอักษรในหัวข้อ */
  padding: 16px; /* ระยะห่างขอบภายในหัวข้อ */
}

.dialog-content {
  padding: 20px; /* ระยะห่างขอบภายในเนื้อหา */
}

.dialog-content ul {
  padding-left: 20px; /* ระยะห่างซ้ายของรายการ */
}

.dialog-actions {
  border-bottom-left-radius: 15px; /* กำหนดขอบล่างซ้าย */
  border-bottom-right-radius: 15px; /* กำหนดขอบล่างขวา */
  padding: 16px; /* ระยะห่างขอบภายใน actions */
  display: flex;
  justify-content: flex-end; /* จัดตำแหน่งปุ่มไปทางขวา */
}
</style>
